# eric7.Plugins.VcsPlugins.vcsMercurial.HgUserConfigDialog

Module implementing a dialog to enter some user data.

### Global Attributes

None

### Classes

HgUserConfigDialog | Class implementing a dialog to enter some user data.

### Functions

None

## HgUserConfigDialog

Class implementing a dialog to enter some user data.

### Derived from

QDialog, Ui_HgUserConfigDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgUserConfigDialog | Constructor
__assembleFingerprints | Private method to assemble a list of host fingerprints.
__assembleMinimumProtocols | Private method to assemble a list of host minimum protocols.
__clearDialog | Private method to clear the data of the dialog.
__clearFingerprints | Private method to clear the fingerprints from the hostsecurity section.
__clearMinimumProtocols | Private method to clear the minimum protocols from the hostsecurity section.
__finalizeFingerprintsColumns | Private method to resize and sort the host fingerprints columns.
__finalizeProtocolsColumns | Private method to resize and sort the host fingerprints columns.
__updateFingerprintsButtons | Private slot to update the host fingerprints edit buttons.
__updateProtocolsButtons | Private slot to update the host minimum protocol edit buttons.
accept | Public slot to accept the dialog.
eventFilter | Public method called to filter the event queue.
on_editorButton_clicked | Private slot to open the user configuration file in a text editor.
on_fingerprintsList_currentItemChanged | Private slot handling a change of the current fingerprints item.
on_fpAddButton_clicked | Private slot to add a fingerprints entry.
on_fpDeleteButton_clicked | Private slot to delete the current fingerprints item.
on_fpEditButton_clicked | Private slot to edit the current fingerprints item.
on_protocolAddButton_clicked | Private slot to add a minimum protocol entry.
on_protocolDeleteButton_clicked | Private slot to delete the current minimum protocol item.
on_protocolEditButton_clicked | Private slot to edit the current minimum protocol item.
on_protocolsList_currentItemChanged | Private slot handling a change of the current minimum protocol item.
readUserConfig | Public method to read the user configuration file.
writeUserConfig | Public method to write the user configuration file.

### Static Methods

None

#### HgUserConfigDialog (Constructor)

HgUserConfigDialog(version=(0, 0, 0), parent=None)

Constructor

version (tuple of three integers)
  Mercurial version info
parent (QWidget)
  reference to the parent widget

#### HgUserConfigDialog.__assembleFingerprints

__assembleFingerprints()

Private method to assemble a list of host fingerprints.

Return:
  dictionary with list of fingerprints per host

Return Type:
  dict with str as key and list of str as value

#### HgUserConfigDialog.__assembleMinimumProtocols

__assembleMinimumProtocols()

Private method to assemble a list of host minimum protocols.

Return:
  dictionary with list of minimum protocol per host

Return Type:
  dict with str as key and str as value

#### HgUserConfigDialog.__clearDialog

__clearDialog()

Private method to clear the data of the dialog.

#### HgUserConfigDialog.__clearFingerprints

__clearFingerprints()

Private method to clear the fingerprints from the hostsecurity section.

#### HgUserConfigDialog.__clearMinimumProtocols

__clearMinimumProtocols()

Private method to clear the minimum protocols from the hostsecurity section.

#### HgUserConfigDialog.__finalizeFingerprintsColumns

__finalizeFingerprintsColumns()

Private method to resize and sort the host fingerprints columns.

#### HgUserConfigDialog.__finalizeProtocolsColumns

__finalizeProtocolsColumns()

Private method to resize and sort the host fingerprints columns.

#### HgUserConfigDialog.__updateFingerprintsButtons

__updateFingerprintsButtons()

Private slot to update the host fingerprints edit buttons.

#### HgUserConfigDialog.__updateProtocolsButtons

__updateProtocolsButtons()

Private slot to update the host minimum protocol edit buttons.

#### HgUserConfigDialog.accept

accept()

Public slot to accept the dialog.

#### HgUserConfigDialog.eventFilter

eventFilter(watched, event)

Public method called to filter the event queue.

watched (QObject)
  reference to the object being watched
event (QEvent)
  event to be handled

Return:
  flag indicating, if we handled the event

Return Type:
  bool

#### HgUserConfigDialog.on_editorButton_clicked

on_editorButton_clicked()

Private slot to open the user configuration file in a text editor.

#### HgUserConfigDialog.on_fingerprintsList_currentItemChanged

on_fingerprintsList_currentItemChanged(current, previous)

Private slot handling a change of the current fingerprints item.

current (QTreeWidgetItem)
  reference to the current item
previous (QTreeWidgetItem)
  reference to the previous current item

#### HgUserConfigDialog.on_fpAddButton_clicked

on_fpAddButton_clicked()

Private slot to add a fingerprints entry.

#### HgUserConfigDialog.on_fpDeleteButton_clicked

on_fpDeleteButton_clicked()

Private slot to delete the current fingerprints item.

#### HgUserConfigDialog.on_fpEditButton_clicked

on_fpEditButton_clicked()

Private slot to edit the current fingerprints item.

#### HgUserConfigDialog.on_protocolAddButton_clicked

on_protocolAddButton_clicked()

Private slot to add a minimum protocol entry.

#### HgUserConfigDialog.on_protocolDeleteButton_clicked

on_protocolDeleteButton_clicked()

Private slot to delete the current minimum protocol item.

#### HgUserConfigDialog.on_protocolEditButton_clicked

on_protocolEditButton_clicked()

Private slot to edit the current minimum protocol item.

#### HgUserConfigDialog.on_protocolsList_currentItemChanged

on_protocolsList_currentItemChanged(current, previous)

Private slot handling a change of the current minimum protocol item.

current (QTreeWidgetItem)
  reference to the current item
previous (QTreeWidgetItem)
  reference to the previous current item

#### HgUserConfigDialog.readUserConfig

readUserConfig()

Public method to read the user configuration file.

#### HgUserConfigDialog.writeUserConfig

writeUserConfig()

Public method to write the user configuration file.

Up